Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version:		2.0.28
Release:		%mkrel 1
License:		GPLv2+
Group:			System/Servers
Epoch:			2
URL:			http://sourceforge.net/projects/acpid2/
Source0:		http://downloads.sourceforge.net/acpid2/%{name}-%{version}.tar.xz
Source2:		acpid.service
Patch1:			acpid-CVE-2011-2777.patch
ExclusiveArch:		%{ix86} x86_64 %arm
Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%autopatch -p0

%build
%configure2_5x
%make

%install
%make_install
install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/acpid.service

install -d %{buildroot}%{_sysconfdir}/acpi/actions
install -d %{buildroot}%{_sysconfdir}/acpi/events

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%doc Changelog COPYING README TESTPLAN TODO
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_unitdir}/acpid.service
%dir %{_sysconfdir}/acpi/actions
%dir %{_sysconfdir}/acpi/events


%changelog
* Tue Oct 25 2016 luigiwalser <luigiwalser> 2:2.0.28-1.mga6
+ Revision: 1063525
- 2.0.28

* Mon May 09 2016 luigiwalser <luigiwalser> 2:2.0.27-1.mga6
+ Revision: 1011320
- 2.0.27

* Sat Feb 13 2016 shlomif <shlomif> 2:2.0.26-1.mga6
+ Revision: 959640
- New version 2.0.26

* Sun Nov 29 2015 pterjan <pterjan> 2:2.0.25-2.mga6
+ Revision: 906980
- Build acpid on arm too

* Thu Aug 20 2015 ycantin <ycantin> 2:2.0.25-1.mga6
+ Revision: 866758
- fix missing doc
- new version 2.0.25

* Wed Oct 15 2014 umeabot <umeabot> 2:2.0.23-3.mga5
+ Revision: 745719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.0.23-2.mga5
+ Revision: 677691
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 2:2.0.23-1.mga5
+ Revision: 670022
- 2.0.23

* Wed Mar 19 2014 luigiwalser <luigiwalser> 2:2.0.22-1.mga5
+ Revision: 605618
- 2.0.22

* Fri Feb 14 2014 luigiwalser <luigiwalser> 2:2.0.21-1.mga5
+ Revision: 591341
- 2.0.21

* Thu Sep 19 2013 luigiwalser <luigiwalser> 2:2.0.20-1.mga4
+ Revision: 481400
- 2.0.20

* Sun Jun 02 2013 luigiwalser <luigiwalser> 2:2.0.19-1.mga4
+ Revision: 434306
- 2.0.19
- fix URLs

* Sun Feb 17 2013 luigiwalser <luigiwalser> 2:2.0.18-1.mga3
+ Revision: 398865
- 2.0.18

* Fri Jan 11 2013 umeabot <umeabot> 2:2.0.17-3.mga3
+ Revision: 345259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 alien <alien> 2:2.0.17-2.mga3
+ Revision: 340209
- fix starting acpid without events

* Sat Oct 13 2012 luigiwalser <luigiwalser> 2:2.0.17-1.mga3
+ Revision: 305265
- 2.0.17

* Fri Aug 10 2012 luigiwalser <luigiwalser> 2:2.0.16-3.mga3
+ Revision: 280406
- add patch from debian to fix CVE-2011-2777

* Wed Aug 08 2012 guillomovitch <guillomovitch> 2:2.0.16-2.mga3
+ Revision: 279935
- drop server-specific build flags
- drop sysinit support
- use systemd macro
- drop old trigger

* Tue May 29 2012 shlomif <shlomif> 2:2.0.16-1.mga3
+ Revision: 248819
- New version: 2.0.16

* Sat Apr 28 2012 tmb <tmb> 2:2.0.14-4.mga2
+ Revision: 233582
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 2:2.0.14-3.mga2
+ Revision: 233488
- rebuild for versioned rpm-helper requires

* Sun Jan 08 2012 tmb <tmb> 2:2.0.14-2.mga2
+ Revision: 193219
- rebuild for missing signature

* Sun Jan 08 2012 tv <tv> 2:2.0.14-1.mga2
+ Revision: 193055
- new release

* Sun Nov 20 2011 zezinho <zezinho> 2:2.0.13-1.mga2
+ Revision: 169773
- new version

* Tue Aug 30 2011 tv <tv> 2:2.0.12-1.mga2
+ Revision: 136397
- add missing LSB keywords
- really fix acpid.rc: /proc/acpi/event is an old and deprecated interface (mdv)
- new release
- patch 2: fix acpid.rc: /proc/acpi/event is an old and deprecated interface (mdv)
- added systemd unit

  + kharec <kharec>
    - new version 2.0.10

* Sat Apr 16 2011 pterjan <pterjan> 2:2.0.9-1.mga1
+ Revision: 86580
- Update to 2.0.9

* Wed Apr 13 2011 tv <tv> 2:2.0.8-1.mga1
+ Revision: 84179
- drop patch 0 (merged upstream)
- new release

* Fri Feb 11 2011 dmorgan <dmorgan> 2:2.0.7-2.mga1
+ Revision: 50096
- Add patch to fix build

  + ennael <ennael>
    - remove mnb
    - remove old conflict

  + kharec <kharec>
    - imported package acpid

